{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}

{% block body %}
    <div class="card-genossys">
        <h5>Potongan Pendapatan Tiap Absen</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" id="addData">Tambah Rule</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <form id="formCategori">
                    <input id="id" name="id" hidden >
                    <input id="action" name="action" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Tambah Rule</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <h6 class="font-weight-bold">Informasi Rule</h6>
                        <fieldset class="form-group">
                            <div class="row">
                                <div class="col col-6">
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="rule" id="standard" value="1" checked>
                                        <label class="form-check-label" for="standard">
                                            Standard
                                        </label>
                                    </div>
                                </div>
                                <div class="col col-6">
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="rule" id="professional" value="2">
                                        <label class="form-check-label" for="professional">
                                            Professional
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                        <div class="form-group">
                            <label for="siswa">Jumlah Siswa : </label>
                            <input type="text" class="form-control" id="siswa" name="siswa" placeholder="Masukkan jumlah siswa">
                        </div>
                        <h6 class="font-weight-bold">Potongan Pengajar</h6>
                        <fieldset class="form-group">
                            <div class="row">
                                <div class="col col-6">
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="potongan" id="percentage" value="1" checked>
                                        <label class="form-check-label" for="percentage">
                                            Percentage
                                        </label>
                                    </div>
                                </div>
                                <div class="col col-6">
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="potongan" id="fixed" value="2">
                                        <label class="form-check-label" for="fixed">
                                            Fixed
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                        <div class="form-group">
                            <label for="siswa">Nominal : </label>
                            <input type="text" class="form-control" id="siswa" name="siswa" placeholder="Masukkan nominal potongan">
                        </div>
                        <h6 class="font-weight-bold">Informasi Rule</h6>
                        <fieldset class="form-group">
                            <div class="row">
                                <div class="col col-6">
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="diskon" id="diskonpercentage" value="1" checked>
                                        <label class="form-check-label" for="diskonpercentage">
                                            Percentage
                                        </label>
                                    </div>
                                </div>
                                <div class="col col-6">
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="diskon" id="diskonfixed" value="2">
                                        <label class="form-check-label" for="diskonfixed">
                                            Fixed
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                        <div class="form-group">
                            <label for="siswa">Nominal : </label>
                            <input type="text" class="form-control" id="siswa" name="siswa" placeholder="Masukkan nominal diskon">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $(document).on('click', 'a#addData', function () {
            $('#modal').modal();
        })
    </script>

{% endblock %}